<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

//function start
function DCRP_plugin_dashboard() {

?>

<div class="wrap projectStyle">
	<div id="whiteboxH" class="postbox">
	
	<div class="topHead">
		<h2><?php echo esc_html__("AI Related Posts Plugin - Dashboard", "DCRP-plugin") ?></h2>
		<?php settings_errors(); ?>
	</div>
	
	<div class="topHead settingsPanel">  <nav id="nav" class="clearfix">
    <ul class="clearfix">
      <li><a class="hover" href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_dashboard' ) ?>"><?php echo esc_html__("Dashboard", "DCRP-plugin") ?></a></li>
      <li><a href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_editor' ) ?>"><?php echo esc_html__("Shortcode Generator", "DCRP-plugin") ?></a></li>
	  <?php if( get_option("DCRP_advSettings") == 1) { ?>
	  <li><a href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_advSettings' ) ?>"><?php echo esc_html__("Advanced Settings", "DCRP-plugin") ?></a></li>
	  <?php } ?>
    </ul>
  </nav>
	</div>
	<div class="inside">
        <form action="options.php" method="post">
        <?php settings_fields("DCRP_admin_settings") ?>
            <table class="form-table">
                <tr valign="top">
                    <th scope="row"><label for="DCRP_start"><?php echo esc_html__("AI Related Posts","DCRP-plugin") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("DCRP_start") == 1) {echo 'checked="checked"';} ?> value="1" name="DCRP_start" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
                        <p class="description" ><?php echo esc_html__("Activate the AI Related Posts plugin on the website.","DCRP-plugin") ?></p>
                    </td>
                </tr>  
				
				<?php if( get_option("DCRP_start") == 1) { ?>
                <tr valign="top">
                    <th scope="row"><label for="DCRP_advSettings"><?php echo esc_html__("Advanced Settings","DCRP-plugin") ?></label></th>
                    <td>
					<label class="button-toggle-wrap">
					  <input <?php if( get_option("DCRP_advSettings") == 1) {echo 'checked="checked"';} ?> value="1" name="DCRP_advSettings" class="toggler" type="checkbox" data-toggle="button-toggle"/>
					  <div class="button-toggle">
						<div class="handle">
						  <div class="bars"></div>
						</div>
					  </div>
					</label>
                        <p class="description" ><?php echo esc_html__("Enable Advanced Settings to edit the AI Algorithm.","DCRP-plugin") ?></p>
						<?php if( get_option("DCRP_advSettings") == 0) { echo "<p class='alertText'>".esc_html__("You are currently using the default settings.","DCRP-plugin")."</p>"; } else { echo "<a href='".admin_url( 'admin.php?page=DCRP_plugin_advSettings' )."'>".esc_html__("Advanced Settings","DCRP-plugin")."</a>";}?>
                    </td>
                </tr> 
				<?php }?>
	
			</table>
         
      </div>
	  
	</div>
	
</div>

	<div class="wrap projectStyle" id="whiteboxH">
	<div class="postbox">
	<div class="inside">
	<div class="inlineblockSet">
  
		<div class="contentDoYouLike">
		  <p><?php echo esc_html__("How would you rate this plugin?", "DCRP-plugin") ?></p>
		</div>

		<div class="wrapperDoYouLike">
		  <input type="checkbox" id="st1" value="1" />
		  <label for="st1"></label>
		  <input type="checkbox" id="st2" value="2" />
		  <label for="st2"></label>
		  <input type="checkbox" id="st3" value="3" />
		  <label for="st3"></label>
		  <input type="checkbox" id="st4" value="4" />
		  <label for="st4"></label>
		  <input type="checkbox" id="st5" value="5" />
		  <label for="st5"></label>
		</div>					
		
		<a target="_blank" href="https://codecanyon.net/user/divcoderplugins/portfolio" class="sabutton button button-primary boxMarginSet"><?php echo esc_html__("Rate this plugin!", "DCRP-plugin") ?></a>
	</div>
		<?php submit_button() ?>
	</div>
	</div>
</div>
</form>
<?php }

add_action("admin_init","DCRP_admin_register");
function DCRP_admin_register() {

	//register settings
	register_setting("DCRP_admin_settings","DCRP_start");
	register_setting("DCRP_admin_settings","DCRP_advSettings");
	
}