<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

//function start
function DCRP_plugin_editor() {
?>

<div class="wrap projectStyle">
	<div id="whiteboxH" class="postbox">
	
	<div class="topHead">
		<h2><?php echo __("AI Related Posts Plugin - Shortcode Generator", "DCRP-plugin") ?></h2>
	</div>
	
	<div class="topHead settingsPanel">  <nav id="nav" class="clearfix">
    <ul class="clearfix">
      <li><a href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_dashboard' ) ?>"><?php echo esc_html__("Dashboard", "DCRP-plugin") ?></a></li>
      <li><a class="hover" href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_editor' ) ?>"><?php echo esc_html__("Shortcode Generator", "DCRP-plugin") ?></a></li>
	  <?php if( get_option("DCRP_advSettings") == 1) { ?>
	  <li><a href="<?php echo admin_url( 'admin.php?page=DCRP_plugin_advSettings' ) ?>"><?php echo esc_html__("Advanced Settings", "DCRP-plugin") ?></a></li>
	  <?php } ?>
    </ul>
  </nav>
	</div>
	<div class="inside"><?php if( get_option("DCRP_start") == 1) { ?>
		<table class="form-table">
			<tr valign="top">
				<th scope="row"><label for="dcrp-style"><?php echo esc_html__("Post Style","DCRP-plugin") ?></label></th>
				<td>
				<select id="dcrp-style">
					<option value="0" ><?php echo esc_html__("Default Theme","DCRP-plugin") ?></option>
					<option value="1" ><?php echo esc_html__("AIPR Theme","DCRP-plugin") ?></option>
					<option value="2" ><?php echo esc_html__("Default Shortcode Theme","DCRP-plugin") ?></option>
					<option value="3" ><?php echo esc_html__("AIPR Shortcode Theme","DCRP-plugin") ?></option>
				</select>
					<p><?php echo esc_html__("Choose the style of Related Posts widget.","DCRP-plugin"); ?></p>
				</td>
			</tr>						
			
			<tr valign="top">
				<th scope="row"><label for="dcrp-checkbox"><?php echo esc_html__("Post Image","DCRP-plugin") ?></label></th>
				<td>
				<label>
				<input id="dcrp-imgcheck" checked type="checkbox"/>
				</label>
					<p><?php echo esc_html__("Display post image","DCRP-plugin"); ?></p>
					<p><i><strong><?php echo esc_html__("Default: Yes","DCRP-plugin") ?></strong></i></p>
				</td>
			</tr>
			
			<tr valign="top">
				<th scope="row"><label for="dcrp-excerpt"><?php echo esc_html__("Post Excerpt","DCRP-plugin") ?></label></th>
				<td>
				<label>
				<input id="dcrp-excerptcheck" type="checkbox"/>
				</label>
					<p><?php echo esc_html__("Display post excerpt","DCRP-plugin"); ?></p>
					<p><i><strong><?php echo esc_html__("Default: No","DCRP-plugin") ?></strong></i></p>
				</td>
			</tr>	
			
			<tr valign="top">
				<th scope="row"><label for="dcrp-datecheck"><?php echo esc_html__("Post Date","DCRP-plugin") ?></label></th>
				<td>
				<label>
				<input id="dcrp-datecheck" type="checkbox"/>
				</label>
					<p><?php echo esc_html__("Display post date","DCRP-plugin"); ?></p>
					<p><i><strong><?php echo esc_html__("Default: No","DCRP-plugin") ?></strong></i></p>
				</td>
			</tr>				
			
			<tr valign="top">
				<th scope="row"><label for="dcrp-number"><?php echo esc_html__("Number of Related Posts","DCRP-plugin") ?></label></th>
				<td>
				<label>
				<input id="dcrp-number" type="number" value="" />
				</label>
					<p><?php echo esc_html__("Set the number of Related Posts to display.","DCRP-plugin"); ?></p>
					<p><i><strong><?php echo esc_html__("Default: 5 (Recommended between 5-10)","DCRP-plugin") ?></strong></i></p>
				</td>
			</tr>
			
			<tr valign="top">
				<th scope="row"><label for="dcrp-columns"><?php echo esc_html__("Columns","DCRP-plugin") ?></label></th>
				<td>
				<label>
				<input type="number"  id="dcrp-columns" type="number" value="" min="1" max="6" />
				</label>
					<p><?php echo esc_html__("Set the number of columns for the posts to display.","DCRP-plugin"); ?></p>
					<p><i><strong><?php echo esc_html__("Default: 1","DCRP-plugin") ?></strong></i></p>
					<p><i><strong><?php echo esc_html__("Max: 6","DCRP-plugin") ?></strong></i></p>
				</td>
			</tr>
		</table>
		<span id="dcrp-get-shortcode"></span>
						
         <?php } else { ?>
	<p><?php echo esc_html__("Please enable the plugin from the Plugin Dashboard page.", "DCRP-plugin") ?></p>
	<?php } ?>
      </div>
	  
	</div>
	
</div>

	<div class="wrap projectStyle" id="whiteboxH">
	<div class="postbox">
	<div class="inside">
	<div class="inlineblockSet">
  
		<div class="contentDoYouLike">
		  <p><?php echo esc_html__("How would you rate this plugin?", "DCRP-plugin") ?></p>
		</div>

		<div class="wrapperDoYouLike">
		  <input type="checkbox" id="st1" value="1" />
		  <label for="st1"></label>
		  <input type="checkbox" id="st2" value="2" />
		  <label for="st2"></label>
		  <input type="checkbox" id="st3" value="3" />
		  <label for="st3"></label>
		  <input type="checkbox" id="st4" value="4" />
		  <label for="st4"></label>
		  <input type="checkbox" id="st5" value="5" />
		  <label for="st5"></label>
		</div>					
		
		<a target="_blank" href="https://codecanyon.net/user/divcoderplugins/portfolio" class="sabutton button button-primary boxMarginSet"><?php echo esc_html__("Rate this plugin!", "DCRP-plugin") ?></a>
		
	</div>
	<?php //translation
	$headText = __("Your Shortcode", "DCRP-plugin");
	$pText = __("You can copy and paste this shortcode into the WordPress pages, widgets... anywhere.", "DCRP-plugin");
	?>
	<p class="submit"><span id="dcrp-submit"></span><a onclick="DCRP_getMyShortcode('<?php echo esc_attr($headText) ?>', '<?php echo esc_attr($pText) ?>')" class="button button-primary boxMarginSet"><?php echo esc_html__("Create Shortcode", "DCRP-plugin") ?></a></p>
	</div>
	</div>
</div>
<?php 
wp_enqueue_script('DCRP-Shortcode-Script', DCRP_URL.'admin/assets/js/script.js');
}
