<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

/*
* Menu Settings
*/
add_action( 'admin_menu', 'DCRP_menu' );

function DCRP_menu(){
    add_menu_page( __('AI Related Posts', 'DCRP-plugin'), __('AI Related Posts', 'DCRP-plugin'), 'administrator', 'DCRP_plugin_dashboard', 'DCRP_plugin_dashboard', "dashicons-feedback" );
	
	//advanced Settings Tab
	if( get_option("DCRP_advSettings") == 1) {
		add_submenu_page( 'DCRP_plugin_dashboard', __('Dashboard &lsaquo; AI Related Posts', 'DCRP-plugin' ), __( 'Dashboard', 'DCRP-plugin' ), 'administrator', 'DCRP_plugin_dashboard' );
	}
	
	add_submenu_page( 'DCRP_plugin_dashboard', __('Shortcode Generator &lsaquo; AI Related Posts', 'DCRP-plugin' ), __( 'Shortcode Generator', 'DCRP-plugin' ), 'administrator', 'DCRP_plugin_editor', 'DCRP_plugin_editor' );
	
	if( get_option("DCRP_advSettings") == 1) {
		add_submenu_page( 'DCRP_plugin_dashboard', __('Settings &lsaquo; AI Related Posts', 'DCRP-plugin' ), __( 'Advanced Settings', 'DCRP-plugin' ), 'administrator', 'DCRP_plugin_advSettings', 'DCRP_plugin_advSettings' );
	}	
}


/*
* Call
*/
require DCRP_DIR . 'admin/admin.php';
require DCRP_DIR . 'admin/advanced.php';
require DCRP_DIR . 'admin/editor.php';
