<?php
if ( !function_exists( 'add_action' ) ) {
    exit;
}

if( get_option("DCRP_start") == 1 ) {
		// Add Shortcode
		function DCRP_shortcode_func( $atts , $content = null ) {

			// Attributes
			$atts = shortcode_atts(
				array(
					'image' => 1,
					'date' => 0,
					'excerpt' => 0,
					'style' => 0,
					'postsperpage' => 5,
					'columns' => 1,
				),
				$atts
			);
			
			$image = $atts['image'];
			$date = $atts['date'];
			$excerpt = $atts['excerpt'];
			$style = $atts['style'];
			$ppp = $atts['postsperpage'];
			$columns = $atts['columns'];
			
			if($style > 3)
				$style = 3;
			elseif($style < 0)
				$style = 0;
				
			if($ppp < 0)
				$style = 1;
			
			ob_start();
			// Query
			if ($style == 0) :
				echo '<section class="widget_recent_entries"><ul>';	
				echo DCRP_get_suggest_loop($style, $ppp, $columns, $image, $date, $excerpt);
				echo '</ul></section>';
			elseif ($style == 1) :
				echo '<ul class="AIPS_list">';			
				echo DCRP_get_suggest_loop($style, $ppp, $columns, $image, $date, $excerpt);
				echo '</section>';
			elseif ($style == 2) :
				echo '<div class="widget_recent_entries dcrp-row">';			
				echo DCRP_get_suggest_loop($style, $ppp, $columns, $image, $date, $excerpt);
				echo '</div>';
			elseif ($style == 3) :
				echo '<div class="AIPS_list dcrp-row">';			
				echo DCRP_get_suggest_loop($style, $ppp, $columns, $image, $date, $excerpt);
				echo '</div>';
			endif;
			
			return ob_get_clean();
			

		}
		add_shortcode( 'DCRP_shortcode', 'DCRP_shortcode_func' );
	
}
	